| newseq

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Create a sequence file from a typed-in sequence

## Description

newseq creates a sequence file from a sequence that is manually typed in at the command-line. This is a quicker, easier and less error-prone method than editing such a file in a text editor.

## Usage

Here is a sample session with newseq

Type in a short sequence to the file 'mycc.pep' in SWISSPROT format:

    % newseq
    Create a sequence file from a typed-in sequence
    Name of the sequence: cytoc
    Description of the sequence: fragment of cytochrome c
    Type of sequence
             N : Nucleic
             P : Protein
    Type of sequence [N]: p
    Enter the sequence: KKKEERADLIAY
    output sequence [outfile.fasta]: swiss::mycc.pep

Go to the output files for this example

## Command line arguments

    Create a sequence file from a typed-in sequence
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-name]              string     The name of of the sequence should be a
                                      single word that you will use to identify
                                      the sequence. It should have no (or few)
                                      punctuation characters in it. (Any string)
      [-description]       string     Enter any description of the sequence that
                                      you require. (Any string)
      [-type]              menu       [N] Type of sequence (Values: N (Nucleic); P
                                      (Protein))
      [-sequence]          string     The sequence itself.
                                      Because of the limitation of the operating
                                      system, you will only be able to type in a
                                      short sequence of (typically) 250
                                      characters, or so.
                                      The keyboard will beep at you when you have
                                      reached this limit and you will not be able
                                      to press the RETURN/ENTER key until you have
                                      deleted a few characters. (Any string)
      [-outseq]            seqout     [<sequence>.<format>] Sequence filename and
                                      optional format (output USA)

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-outseq" associated qualifiers
       -osformat5          string     Output seq format
       -osextension5       string     File name extension
       -osname5            string     Base file name
       -osdirectory5       string     Output directory
       -osdbname5          string     Database name to add
       -ossingle5          boolean    Separate file for each entry
       -oufo5              string     UFO features
       -offormat5          string     Features format
       -ofname5            string     Features file name
       -ofdirectory5       string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-name] (Parameter 1) | string | The name of of the sequence should be a single word that you will use to identify the sequence. It should have no (or few) punctuation characters in it. | Any string |
[-description] (Parameter 2) | string | Enter any description of the sequence that you require. | Any string |

[-type]
(Parameter 3)

list

Type of sequence

N | (Nucleic)
P | (Protein)

N

[-sequence] (Parameter 4) | string | The sequence itself. Because of the limitation of the operating system, you will only be able to type in a short sequence of (typically) 250 characters, or so. The keyboard will beep at you when you have reached this limit and you will not be able to press the RETURN/ENTER key until you have deleted a few characters. | Any string |
[-outseq] (Parameter 5) | seqout | Sequence filename and optional format (output USA) | Writeable sequence | <*>.format
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
(none)
Associated qualifiers
"-outseq" associated seqout qualifiers
-osformat5 -osformat_outseq | string | Output seq format | Any string |
-osextension5 -osextension_outseq | string | File name extension | Any string |
-osname5 -osname_outseq | string | Base file name | Any string |
-osdirectory5 -osdirectory_outseq | string | Output directory | Any string |
-osdbname5 -osdbname_outseq | string | Database name to add | Any string |
-ossingle5 -ossingle_outseq | boolean | Separate file for each entry | Boolean value Yes/No | N
-oufo5 -oufo_outseq | string | UFO features | Any string |
-offormat5 -offormat_outseq | string | Features format | Any string |
-ofname5 -ofname_outseq | string | Features file name | Any string |
-ofdirectory5 -ofdirectory_outseq | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

## Output file format

newseq writes a normal sequence file.

### Output files for usage example

### File: mycc.pep

    ID   cytoc                   Unreviewed;          12 AA.
    DE   fragment of cytochrome c
    SQ   SEQUENCE   12 AA;  1464 MW;  6F142FA88DADC40B CRC64;
         KKKEERADLI AY
    //

## Data files

None.

## Notes

The length of the sequence you can type in is restricted to a fairly short length (typically less than 255 characters). If your computer beeps at you, you will typically have to delete the last character you typed and press the RETURN key.

## References

None.

## Warnings

There will be a maximum permissible length (typically 255 characters) of the sequence that may be entered. This is not a property of the EMBOSS package but of the computer system you are using. Whenever you type something in at the command-line, the text is stored in a buffer before being passed to the program. There is often a limit of less than 255 characters on the size of the buffer and so also the size of the sequence you can specify to newseq. The computer will normally issue a beep when the end of buffer is reached, and allow no more character input.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
aligncopy | Read and write alignments
aligncopypair | Read and write pairs from alignments
biosed | Replace or delete sequence sections
codcopy | Copy and reformat a codon usage table
cutseq | Remove a section from a sequence
degapseq | Remove non-alphabetic (e.g. gap) characters from sequences
descseq | Alter the name or description of a sequence
entret | Retrieve sequence entries from flatfile databases and files
extractalign | Extract regions from a sequence alignment
extractfeat | Extract features from sequence(s)
extractseq | Extract regions from a sequence
featcopy | Read and write a feature table
featmerge | Merge two overlapping feature tables
featreport | Read and write a feature table
feattext | Return a feature table original text
listor | Write a list file of the logical OR of two sets of sequences
makenucseq | Create random nucleotide sequences
makeprotseq | Create random protein sequences
maskambignuc | Mask all ambiguity characters in nucleotide sequences with N
maskambigprot | Mask all ambiguity characters in protein sequences with X
maskfeat | Write a sequence with masked features
maskseq | Write a sequence with masked regions
nohtml | Remove mark-up (e.g. HTML tags) from an ASCII text file
noreturn | Remove carriage return from ASCII files
nospace | Remove whitespace from an ASCII text file
notab | Replace tabs with spaces in an ASCII text file
notseq | Write to file a subset of an input stream of sequences
nthseq | Write to file a single sequence from an input stream of sequences
nthseqset | Read and write (return) one set of sequences from many
pasteseq | Insert one sequence into another
revseq | Reverse and complement a nucleotide sequence
seqcount | Read and count sequences
seqret | Read and write (return) sequences
seqretsetall | Read and write (return) many sets of sequences
seqretsplit | Read sequences and write them to individual files
sizeseq | Sort sequences by size
skipredundant | Remove redundant sequences from an input set
skipseq | Read and write (return) sequences, skipping first few
splitsource | Split sequence(s) into original source sequences
splitter | Split sequence(s) into smaller sequences
trimest | Remove poly-A tails from nucleotide sequences
trimseq | Remove unwanted characters from start and end of sequence(s)
trimspace | Remove extra whitespace from an ASCII text file
union | Concatenate multiple sequences into a single sequence
vectorstrip | Remove vectors from the ends of nucleotide sequence(s)
yank | Add a sequence reference (a full USA) to a list file

## Author(s)

Gary Williams formerly at:
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

Written (1999) - Gary Williams

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None